Summary: Macintosh hfs kernel module
Name: hfs_fs
Version: 0.95
%define kernel 2.0.36
Release: %{kernel}_1
Source0: http://www-sccm.Stanford.EDU/~hargrove/HFS/hfs_fs-0.95.tar.gz
URL: http://www-sccm.Stanford.EDU/~hargrove/HFS/
Copyright: GNU General Public License
Group: Base/Kernel
#Packager: Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
Requires: kernel = %kernel
Buildroot: /var/tmp/hfs-buildroot

%description
This loadable Module allows the linux kernel to mount,
read, and write Macintosh hfs volumes (floppy, zip, CDROM, etc)

%changelog
* Tue Dec 29 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- rebuilt for kernel version 2.0.36

* Fri Oct 2 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Buildrooted.
- Don't bother with the skel file.

* Tue Sep 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Started with hfs_fs-0.95-1 by Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Parameterized kernel version and included it in the release code.
- Ensure that -no-builtin gets added to OPTs.
- Use %defattr

%prep
%setup

%build
if [ "%kernel" != `uname -r` ]; then
	Trying to build module for %kernel, but running kernel `uname -r`.
	exit 1
fi

make OPT="${RPM_OPT_FLAGS} -fno-builtin"

%install
mkdir -p ${RPM_BUILD_ROOT}/lib/modules/%kernel/fs
cp -p hfs.o ${RPM_BUILD_ROOT}/lib/modules/%kernel/fs

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%files
%attr(644,root,root) /lib/modules/%kernel/fs/hfs.o
#%defattr(-,root,root)
%doc FAQ.txt HFS.txt INSTALL.txt
